## Contributor License Agreement and Developer Certificate of Origin

Contributions to this repository are subject to the [Developer Certificate of Origin](https://docs.gitlab.com/ee/legal/developer_certificate_of_origin.html#developer-certificate-of-origin-version-11), or the [Individual](https://docs.gitlab.com/ee/legal/individual_contributor_license_agreement.html) or [Corporate](https://docs.gitlab.com/ee/legal/corporate_contributor_license_agreement.html) Contributor License Agreement, depending on where the contribution is made and on whose behalf:

- By submitting code contributions as an individual to the [`/ee` subdirectory](/ee) of this repository, you agree to the [Individual Contributor License Agreement](https://docs.gitlab.com/ee/legal/individual_contributor_license_agreement.html).

- By submitting code contributions on behalf of a corporation to the [`/ee` subdirectory](/ee) of this repository, you agree to the [Corporate Contributor License Agreement](https://docs.gitlab.com/ee/legal/corporate_contributor_license_agreement.html).

- By submitting code contributions as an individual or on behalf of a corporation to any directory in this repository outside of the [`/ee` subdirectory](/ee), you agree to the [Developer Certificate of Origin](https://docs.gitlab.com/ee/legal/developer_certificate_of_origin.html#developer-certificate-of-origin-version-11).

All Documentation content that resides under the [`doc/` directory](/doc) of this
repository is licensed under Creative Commons:
[CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/).

_This notice should stay as the first item in the `CONTRIBUTING.md` file._

## Contributing Documentation has been moved

As of July 2018, all the documentation for contributing to the GitLab project has been moved to a new location.
[View the new documentation](https://about.gitlab.com/community/contribute/) to find the latest information.

## Contribute to GitLab

[View the new documentation](https://about.gitlab.com/community/contribute/) to find the latest information.

## Security vulnerability disclosure

This [documentation](doc/development/contributing/index.md#security-vulnerability-disclosure) has been moved.

## Code of Conduct

This [documentation](https://about.gitlab.com/contributing/code-of-conduct/) has been moved.

## Closing policy for issues and merge requests

This [documentation](doc/development/contributing/index.md#closing-policy-for-issues-and-merge-requests) has been moved.

## Helping others

This [documentation](doc/development/contributing/index.md#helping-others) has been moved.

## I want to contribute!

[View the new documentation](https://about.gitlab.com/community/contribute/) to find the latest information.

## Contribution Flow

This [documentation](doc/development/contributing/index.md) has been moved.

## Workflow labels

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Type labels

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Subject labels

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Team labels

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Release Scoping labels

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Priority labels

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Severity labels

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

#### Severity impact guidance

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Label for community contributors

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

## Implement design & UI elements

This [documentation](doc/development/contributing/design.md) has been moved.

## Issue tracker

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Issue triaging

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Feature proposals

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Issue tracker guidelines

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Issue weight

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Regression issues

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Technical and UX debt

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

### Stewardship

This [documentation](doc/development/contributing/issue_workflow.md) has been moved.

## Merge requests

This [documentation](doc/development/contributing/merge_request_workflow.md) has been moved.

### Merge request guidelines

This [documentation](doc/development/contributing/merge_request_workflow.md) has been moved.

### Contribution acceptance criteria

This [documentation](doc/development/contributing/merge_request_workflow.md) has been moved.

## Definition of done

This [documentation](doc/development/contributing/merge_request_workflow.md) has been moved.

## Style guides

This [documentation](doc/development/contributing/style_guides.md) has been moved.
